<?php

namespace Diamond\Application\Mailing;

class MailingRecipientsCollection
{
    private $handlerCollection = [];

    public function push(RecipientsHandlerInterface $handler)
    {
        $this->handlerCollection[] = $handler;
        return $this;
    }

    /**
     * @return array
     */
    public function getHandlers(): array
    {
        return $this->handlerCollection;
    }

}